ompi/mca/ptl/llc/ptl_llc_sendfrag.h File Reference.TH "ompi/mca/ptl/llc/ptl_llc_sendfrag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/llc/ptl_llc_sendfrag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'include/sys/atomic.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_sendreq.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_sendfrag.h'\fP
.br
\fC#include 'ptl_llc.h'\fP
.br
\fC#include 'ptl_llc_recvfrag.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PTL_LLC_SEND_FRAG_ALLOC\fP(item, rc)   OMPI_FREE_LIST_GET(&mca_ptl_llc_component.llc_send_frags, item, rc);"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_llc_send_frag_t\fP \fBmca_ptl_llc_send_frag_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "bool \fBmca_ptl_llc_send_frag_handler\fP (\fBmca_ptl_llc_send_frag_t\fP *, int sd)"
.br
.ti -1c
.RI "int \fBmca_ptl_llc_send_frag_init\fP (\fBmca_ptl_llc_send_frag_t\fP *, struct \fBmca_ptl_base_peer_t\fP *, struct \fBmca_ptl_base_send_request_t\fP *, size_t offset, size_t *size, int flags)"
.br
.RI "\fIInitialize a fragment descriptor. \fP"
.ti -1c
.RI "static void \fBmca_ptl_llc_send_frag_progress\fP (\fBmca_ptl_llc_send_frag_t\fP *frag)"
.br
.RI "\fIFor fragments that require an acknowledgment, this routine will be called twice, once when the send completes, and again when the acknowledgment is returned. \fP"
.ti -1c
.RI "static void \fBmca_ptl_llc_send_frag_init_ack\fP (\fBmca_ptl_llc_send_frag_t\fP *ack, struct \fBmca_ptl_base_module_t\fP *ptl, struct \fBmca_ptl_base_peer_t\fP *ptl_peer, \fBmca_ptl_llc_recv_frag_t\fP *frag)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBopal_class_t\fP \fBmca_ptl_llc_send_frag_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int mca_ptl_llc_send_frag_init (\fBmca_ptl_llc_send_frag_t\fP *, struct \fBmca_ptl_base_peer_t\fP *, struct \fBmca_ptl_base_send_request_t\fP *, size_t offset, size_t * size, int flags)"
.PP
Initialize a fragment descriptor. 
.PP
frag (IN) Fragment peer (IN) PTL peer addressing information request (IN) Send request offset (IN) Current offset into packed buffer size (IN/OUT) Requested size / actual size returned flags (IN) 
.SS "static void mca_ptl_llc_send_frag_progress (\fBmca_ptl_llc_send_frag_t\fP * frag)\fC [inline, static]\fP"
.PP
For fragments that require an acknowledgment, this routine will be called twice, once when the send completes, and again when the acknowledgment is returned. 
.PP
Only the last caller should update the request status, so we add a lock w/ the frag_progressed flag. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
